import { Q as QImg } from "./use-id-Bga_UBPy.js";
import { Q as QPage } from "./QPage-y4zftl3-.js";
import { A as AppHeader } from "./AppHeader-DugPHj8B.js";
import { _ as _export_sfc, a as defineComponent, r as resolveComponent, c as createBlock, o as openBlock, w as withCtx, b as createVNode, g as createBaseVNode } from "./index-BRudWVF6.js";
const _sfc_main = defineComponent({
  name: "ContactPage",
  components: {
    AppHeader
  },
  data() {
    return {
      wx: ""
    };
  },
  mounted() {
    this.fetchContact();
  },
  methods: {
    async fetchContact() {
      try {
        this.wx = await this.$api.get("/api/main/user/wx");
        console.log(res);
      } catch (err) {
      }
    }
  }
});
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_app_header = resolveComponent("app-header");
  return openBlock(), createBlock(QPage, { class: "popup-page vip-page" }, {
    default: withCtx(() => [
      createVNode(_component_app_header),
      createBaseVNode("div", null, [
        createVNode(QImg, { src: _ctx.wx }, null, 8, ["src"])
      ])
    ]),
    _: 1
  });
}
const Contact = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export {
  Contact as default
};
